clang 10.0.0git

Classes | Public Types | Public Member Functions | Friends | List of all members
clang::TemplateArgumentLocInventIterator< Derived, InputIterator > Class Template Reference

Iterator adaptor that invents template argument location information for each of the template arguments in its underlying iterator. More...

`#include "/work/www-prereleases/10.0.0/rc1/docsbuild/clang/lib/Sema/TreeTransform.h"`

## Classes
class | pointer

## Public Types
typedef TemplateArgumentLoc | value_type
typedef TemplateArgumentLoc | reference
typedef std::iterator_traits< InputIterator >::difference_type | difference_type
typedef std::input_iterator_tag | iterator_category

## Public Member Functions
| TemplateArgumentLocInventIterator ()
| TemplateArgumentLocInventIterator (TreeTransform< Derived > &Self, InputIterator Iter)
TemplateArgumentLocInventIterator & | operator++ ()
TemplateArgumentLocInventIterator | operator++ (int)
reference | operator* () const
pointer | operator-> () const

## Friends
bool | operator== (const TemplateArgumentLocInventIterator &X, const TemplateArgumentLocInventIterator &Y)
bool | operator!= (const TemplateArgumentLocInventIterator &X, const TemplateArgumentLocInventIterator &Y)

## Detailed Description

### template<typename Derived, typename InputIterator>
class clang::TemplateArgumentLocInventIterator< Derived, InputIterator >

Iterator adaptor that invents template argument location information for each of the template arguments in its underlying iterator.

Definition at line 4139 of file TreeTransform.h.

## Member Typedef Documentation

## ◆ difference_type

template<typename Derived , typename InputIterator >

typedef std::iterator_traits<InputIterator>::difference_type clang::TemplateArgumentLocInventIterator< Derived, InputIterator >::difference_type

Definition at line 4147 of file TreeTransform.h.

## ◆ iterator_category

template<typename Derived , typename InputIterator >

typedef std::input_iterator_tag clang::TemplateArgumentLocInventIterator< Derived, InputIterator >::iterator_category

Definition at line 4148 of file TreeTransform.h.

## ◆ reference

template<typename Derived , typename InputIterator >

typedef TemplateArgumentLoc clang::TemplateArgumentLocInventIterator< Derived, InputIterator >::reference

Definition at line 4145 of file TreeTransform.h.

## ◆ value_type

template<typename Derived , typename InputIterator >

typedef TemplateArgumentLoc clang::TemplateArgumentLocInventIterator< Derived, InputIterator >::value_type

Definition at line 4144 of file TreeTransform.h.

## Constructor & Destructor Documentation

## ◆ TemplateArgumentLocInventIterator() [1/2]

template<typename Derived , typename InputIterator >

clang::TemplateArgumentLocInventIterator< Derived, InputIterator >::TemplateArgumentLocInventIterator | ( |  | ) |
| inline

Definition at line 4159 of file TreeTransform.h.

## ◆ TemplateArgumentLocInventIterator() [2/2]

template<typename Derived , typename InputIterator >

clang::TemplateArgumentLocInventIterator< Derived, InputIterator >::TemplateArgumentLocInventIterator | ( | TreeTransform< Derived > & | Self,
|  | InputIterator | Iter
| ) |  |
| inline explicit

Definition at line 4161 of file TreeTransform.h.

## Member Function Documentation

## ◆ operator*()

template<typename Derived , typename InputIterator >

reference clang::TemplateArgumentLocInventIterator< Derived, InputIterator >::operator* | ( |  | ) | const
| inline

Definition at line 4176 of file TreeTransform.h.

References clang::TreeTransform< Derived >::InventTemplateArgumentLoc().

## ◆ operator++() [1/2]

template<typename Derived , typename InputIterator >

TemplateArgumentLocInventIterator& clang::TemplateArgumentLocInventIterator< Derived, InputIterator >::operator++ | ( |  | ) |
| inline

Definition at line 4165 of file TreeTransform.h.

## ◆ operator++() [2/2]

template<typename Derived , typename InputIterator >

TemplateArgumentLocInventIterator clang::TemplateArgumentLocInventIterator< Derived, InputIterator >::operator++ | ( | int |  | ) |
| inline

Definition at line 4170 of file TreeTransform.h.

## ◆ operator->()

template<typename Derived , typename InputIterator >

pointer clang::TemplateArgumentLocInventIterator< Derived, InputIterator >::operator-> | ( |  | ) | const
| inline

Definition at line 4182 of file TreeTransform.h.

## Friends And Related Function Documentation

## ◆ operator!=

template<typename Derived , typename InputIterator >

bool operator!= | ( | const TemplateArgumentLocInventIterator< Derived, InputIterator > & | X,
|  | const TemplateArgumentLocInventIterator< Derived, InputIterator > & | Y
| ) |  |
| friend

Definition at line 4189 of file TreeTransform.h.

## ◆ operator==

template<typename Derived , typename InputIterator >

bool operator== | ( | const TemplateArgumentLocInventIterator< Derived, InputIterator > & | X,
|  | const TemplateArgumentLocInventIterator< Derived, InputIterator > & | Y
| ) |  |
| friend

Definition at line 4184 of file TreeTransform.h.

The documentation for this class was generated from the following file:

- lib/Sema/TreeTransform.h